com.corticon.rulesemf.viewtestmodel.testsheet.treeset

## Interface TestAssociationHref

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, TestAssociation, TestNode, ValidatableObject

      public interface TestAssociationHref
      extends TestAssociation

  A representation of the model object 'Test Association Href'.

  The following features are supported:

  - `Target Test Node`
  See Also:
    `TreesetPackage.getTestAssociationHref()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestNode` | `getTargetTestNode()` Returns the value of the 'Target Test Node' reference.
    `void` | `setTargetTestNode(TestNode value)` Sets the value of the '`Target Test Node`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.viewtestmodel.testsheet.treeset.TestAssociation

      `getEReference, setEReference`

    - ### Methods inherited from interface com.corticon.rulesemf.viewtestmodel.testsheet.treeset.TestNode

      `getBackupInfo, getChildren, getComments, getDatabaseID, getIssue, getMessageItem, getName, getNodeID, getParent, getReferencingHrefs, getSource, isExpanded, isIgnoreValidation, isInvalid, isManuallyCreated, isNewOrModified, isPassed, setDatabaseID, setExpanded, setIgnoreValidation, setInvalid, setIssue, setManuallyCreated, setName, setNewOrModified, setNodeID, setParent, setPassed, setSource`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTargetTestNode

          TestNode getTargetTestNode()

      Returns the value of the 'Target Test Node' reference. It is bidirectional and its opposite is '`Referencing Hrefs`'.

      If the meaning of the 'Target Test Node' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Target Test Node' reference.
      See Also:
        `setTargetTestNode(TestNode)`, `TreesetPackage.getTestAssociationHref_TargetTestNode()`, `TestNode.getReferencingHrefs()`

    - #### setTargetTestNode

          void setTargetTestNode(TestNode value)

      Sets the value of the '`Target Test Node`' reference.
      Parameters:
        `value` - the new value of the 'Target Test Node' reference.
      See Also:
        `getTargetTestNode()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.